changeset 817:eedd566a1e37

[project @ 1994-10-15 01:03:32 by jwe]
author jwe
date Sat, 15 Oct 1994 01:03:32 +0000
parents 522bbd75dce3
children 238071e680a7
files doinstall.sh
diffstat 1 files changed, 8 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/doinstall.sh	Sat Oct 15 00:59:22 1994 +0000
+++ b/doinstall.sh	Sat Oct 15 01:03:32 1994 +0000
@@ -10,12 +10,18 @@
 # ask octave to tell us the version number
 version=`./octave -v 2>/dev/null | awk '/version/ { print $NF }'`
 
+if test -z "$version"
+then
+  echo "doinstall.sh: unable to extract version number from Octave!"
+  exit 1
+fi
+
 # ask octave to tell us the target host type
 target_host_type=`echo computer | ./octave -q`
 
-if test -z "$version"
+if test -z "$target_host_type"
 then
-  echo "doinstall.sh: unable to extract version number from Octave!"
+  echo "doinstall.sh: unable to extract host type from Octave!"
   exit 1
 fi